# Generated by Django 4.1.1 on 2022-12-16 13:23

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('tourism', '0033_alter_usertoken_options_route_max_tourists_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='RouteParticipant',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('verified', models.BooleanField(default=False, verbose_name='Участие подтверждено?')),
                ('route', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='tourism.route', verbose_name='Маршрут')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='tourism.user', verbose_name='Пользователь')),
            ],
            options={
                'verbose_name': 'Участник маршрута',
                'verbose_name_plural': 'Участники маршрута',
                'ordering': ['route__name'],
            },
        ),
        migrations.AddConstraint(
            model_name='routeparticipant',
            constraint=models.UniqueConstraint(fields=('route', 'user'), name='route_user_participant'),
        ),
    ]
